biggest {onion} | R Documentation

## Returns the biggest type of a set of onions

### Description

Returns the biggest type of a set of onions; useful for “promoting” a set of onions to the most general type.

### Usage

    biggest(...)

### Arguments

`...` | Onionic vectors

### Details

If any argument passed to `biggest()` is an octonion, then return the string “octonion”. Failing that, if any argument is a quaternion, return the string “quaternion”, and failing that, return “scalar”.

### Author(s)

Robin K. S. Hankin

### Examples

    biggest(O1,rquat(100),1:4)

[Package onion version 1.2-7 Index]